from fermiinstallclass import FermiInstallClass

class InstallClass(FermiInstallClass):
    name = ("Fermi Generic Desktop Install")
    pixmap = "fermigenericdesktop.png"
    sortPriority = 1
    showLoginChoice = 1
    description = ("PICK ME!! This is the choice if you don't know what to do. "
		     "This workgroup does come with Fermi kerberos.")

    pkgstext = ("\tDesktop KDE)\n"
                 "\tFermi Kerberos\n"
                 "\tFermi OpenSSH client\n"
                 "\tOffice suite (OpenOffice)\n"
                 "\tWeb browser (Mozilla) \n"
                 "\tSound and video applications\n"
                 "\tSoftware Development Tools\n")
    
    def setSteps(self, dispatch):
	FermiInstallClass.setSteps(self, dispatch);

        dispatch.skipStep("makebootdisk", skip = 1)

    def setGroupSelection(self, grpset, intf):
	FermiInstallClass.setGroupSelection(self, grpset, intf)

        grpset.selectGroup("fermigenericdesktopmeta", asMeta = 1)
        grpset.selectGroup("fermigenericdesktop")

    def setInstallData(self, id):
	FermiInstallClass.setInstallData(self, id)
